"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _detectNode = _interopRequireDefault(require("detect-node"));

var _defaultConfig = _interopRequireDefault(require("./default-config"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const deepMergeObjects = ['detection'];

var _default = userConfig => {
  if (typeof userConfig.localeSubpaths === 'boolean') {
    throw new Error('The localeSubpaths option has been changed to a string: "none", "foreign", or "all"');
  }

  let combinedConfig = { ..._defaultConfig.default,
    ...userConfig
  };
  deepMergeObjects.forEach(obj => {
    combinedConfig[obj] = { ..._defaultConfig.default[obj],
      ...userConfig[obj]
    };
  });

  if (!userConfig.fallbackLng) {
    combinedConfig.fallbackLng = process.env.NODE_ENV === 'production' ? combinedConfig.defaultLanguage : false;
  }

  combinedConfig.allLanguages = combinedConfig.otherLanguages.concat([combinedConfig.defaultLanguage]);
  combinedConfig.ns = [combinedConfig.defaultNS];
  combinedConfig.whitelist = combinedConfig.allLanguages;

  if (_detectNode.default && !process.browser) {
    const fs = eval("require('fs')");

    const path = require('path');

    const getAllNamespaces = p => fs.readdirSync(p).map(file => file.replace('.json', ''));

    const {
      allLanguages,
      defaultLanguage,
      localePath,
      localeStructure
    } = combinedConfig;
    combinedConfig = { ...combinedConfig,
      preload: allLanguages,
      ns: getAllNamespaces(path.join(process.cwd(), `${localePath}/${defaultLanguage}`)),
      backend: {
        loadPath: path.join(process.cwd(), `${localePath}/${localeStructure}.json`),
        addPath: path.join(process.cwd(), `${localePath}/${localeStructure}.missing.json`)
      }
    };
  }

  return combinedConfig;
};

exports.default = _default;
module.exports = exports.default;
module.exports.default = exports.default;